Jumpy Plugin (26 October 2016)

Discuss third party additions, plugins and translations for Universal Media Server
xtjoeytx
Posts: 2
Joined: Wed Jul 31, 2013 4:41 am

Re: Jumpy Plugin (17 May 2013)

Post by xtjoeytx » Wed Jul 31, 2013 6:23 am

infidel wrote:If you post logs I'll look into it.
Attached jumpy.log:

Act as a url resolver is disabled.
First I attempt to play a few streams, and I get the socket error 10013.

Around line 760, i had to kill the process python.exe for it to use the xbmc urlresolver and afterwards i can watch streams.

Windows 8
UMS 3.0.0-a1
Jumpy 0.2.7
Java x64
Attachments
jumpy.log
(83.48 KiB) Downloaded 245 times

User avatar
S7eele
Posts: 104
Joined: Thu Jun 07, 2012 8:12 am

Re: Jumpy Plugin (17 May 2013)

Post by S7eele » Thu Aug 01, 2013 5:08 pm

infidel wrote:
S7eele wrote:Does the patch pointed to in the above message for casper apply to all Jumpy users or is it specific to the add-ons being used?
Hi, yes I try to post only general fixes as Casper points out, so you can always update unless noted otherwise.
S7eele wrote:Does anyone have the latest version (3.7.8 ) of the Navi-X XBMC add-on working with UMS/Jumpy?
Sorry, I do mean to get to back to this one day, I've been busy lately trying to wrap up the next release :).
@Casper/@infidel - thx for explanation, understanding I can install posted patches unless otherwise noted makes it much clearer.

Never a need to apologize infidel, your doing so much for the community all the time. The Navi-X thing isn't such a big deal really since Jumpy currently provides me with access to many other damn good add-ons. Getting Navi-X to work again through Jumpy would be huge to me but I understand demand and prioritization. I've mentioned before that we had 3.7.6 working very well. UMSFan found a modified version of the official 3.7.6 Navi-X add-on install that loaded it as a Video add-on vice Script add-on as is done by the original Navi-X add-on installer. Once it was loaded as a Video add-on it became visible and functional through Jumpy. This was lost when I upgraded to 3.7.7 and 3.7.8. I have played with the addon.xml files for the add-on in an attempt to change the provide type from Script to Video but no luck. Not nearly as smart as most of you. Anyway, I am providing the link below just in case someone may want to read a little bit more detail on the problem:

viewtopic.php?f=6&t=288&start=280#p6284

Thanks again!
Peace!

Casper
Posts: 32
Joined: Wed Jul 24, 2013 10:20 pm

Re: Jumpy Plugin (17 May 2013)

Post by Casper » Thu Aug 01, 2013 11:00 pm

infidel wrote:geoblocked in the US so I'm flying blind vis. iplayer
You can easily get around geoblock by simply changing your DNS to tunlr's. http://tunlr.net/get-started/

2)
infidel wrote:

Code: Select all

AttributeError: 'module' object has no attribute 'log'
Can't reproduce this one (you seem to have a different version of the addon), please post logs.
I discovered the iView 1.3.1 error only occurs after playing a video with iPlayer 2.4.18, other addons didn't cause any problems (youtube, PBS, Revision3, Hulu and Vimeo). To get iView working again I have to quit UMS and restart it. Another addon by the same developer called Network Ten CatchUp TV v0.4.0 has the same problem. The problem is exclusive to Jumpy and does not occur in XBMC.

There is a non-critical error when Jumpy is first started:

Code: Select all

starting service: script.common.plugin.cache
Traceback (most recent call last):
  File "C:\Program Files (x86)\Universal Media Server\plugins\jumpy\xbmc.py", line 111, in <module>
    pms.run([os.path.join(info['path'], ext['library']), '&'], id)
TypeError: pms_run() takes exactly 1 argument (2 given)
Aside from the above error and the AttributeError there are no other errors in the log.
3) & 4) iPlayer 2.4.18 seems to be mostly working now with dev-130730 (apart from occasional ffmpeg errors).

5) Reddit addon working perfectly with youtube plugin:// URLs with dev-130730. (yay!)
Last edited by Casper on Mon Dec 02, 2013 6:46 pm, edited 1 time in total.

Casper
Posts: 32
Joined: Wed Jul 24, 2013 10:20 pm

Re: Jumpy Plugin (17 May 2013)

Post by Casper » Sat Aug 03, 2013 10:23 pm

S7eele wrote:I've mentioned before that we had 3.7.6 working very well. UMSFan found a modified version of the official 3.7.6 Navi-X add-on install that loaded it as a Video add-on vice Script add-on as is done by the original Navi-X add-on installer. Once it was loaded as a Video add-on it became visible and functional through Jumpy. This was lost when I upgraded to 3.7.7 and 3.7.8.
The Navi-X 0.3.6 plugin (video addon) appears to work fine in XBMC and Jumpy. You don't need the Navi-X script (program addon) installed and the changelog for the script 3.7.7-3.7.8 doesn't reveal anything that would affect the functioning of the plugin.

User avatar
S7eele
Posts: 104
Joined: Thu Jun 07, 2012 8:12 am

Re: Jumpy Plugin (17 May 2013)

Post by S7eele » Sun Aug 04, 2013 5:47 pm

Casper wrote:
S7eele wrote:I've mentioned before that we had 3.7.6 working very well. UMSFan found a modified version of the official 3.7.6 Navi-X add-on install that loaded it as a Video add-on vice Script add-on as is done by the original Navi-X add-on installer. Once it was loaded as a Video add-on it became visible and functional through Jumpy. This was lost when I upgraded to 3.7.7 and 3.7.8.
The Navi-X 0.3.6 plugin (video addon) appears to work fine in XBMC and Jumpy. You don't need the Navi-X script (program addon) installed and the changelog for the script 3.7.7-3.7.8 doesn't reveal anything that would affect the functioning of the plugin.
Thanx for the quick reply. From what I remember, when I had the video add-on referenced above working with Jumpy previously it was actually installed alongside the regular Navi-X 3.7.6 script add-on which did not, by itself, work with Jumpy. The only reason I bring this up is to make sure I understand as much as possible. I think you are suggesting I remove updated versions of the Navi-X add-on instead of trying to get them to work with Jumpy and just go back to the version of the add-on we know worked. I am wondering if I could leave the updated script add-ons and just keep the old version 3.7.6 video add-on running alongside it to get over to jumpy. Simple answer, I will try both scenarios. First with just the referenced Navi-X Video Add-On that worked in the past and then with both the working video add-on and the most recent script updates. Please correct me if I am going off in the wrong direction, if I misunderstood anything or if I am just going about things the wrong way. Thanks again!
Peace!

bounty88
Posts: 1
Joined: Tue Aug 06, 2013 7:14 am

Re: Jumpy Plugin (17 May 2013)

Post by bounty88 » Tue Aug 06, 2013 7:22 am

hello,

i've got a problem with one repo. its called teamstream.to https://github.com/siriuzwhite/xbmc.rep ... -1.0.0.zip

i use UMS 2.6.5, jumpy is installed an everything works, only teamstream does not.

when i want to start a stream on ps3, it says "this content cannot be played"
on xbmc on pc and android smartphone it works perfectly.

in teamstream forum someone said that the librtmp in the ffmpeg.exe maybe ist too old.
i tried ffmpeg, mencoder, avisynth but nothing works for me.

here is the part of the ums.log

Code: Select all

INFO  2013-08-05 13:41:29.544 [Thread-51] jumpy: registering com.sun.proxy.$Proxy1
INFO  2013-08-05 13:41:29.616 [Thread-51] jumpy: xbmc url resolver: rtmp://nl1.tsboard.tv:1936/streams swfUrl=http://srv.tsboard.tv/tvbox1/kkkuiijxmso1pqr3v1v9z35D645G6L8KHMHOFGLTJOepcoepnonuoqrtsqu3s3u5444E223G6C8K9ABMgj.swf pageUrl=http://www.teamstream.to/showthread.php?9876 playpath=pappkamerad1hd swfVfy=true live=true
INFO  2013-08-05 13:41:29.619 [New I/O worker #3] Starting transcode/remux of Sky Bundesliga HD1 - Fußball: DFB-Pokal (noch 1369' | Fußball D)
DEBUG 2013-08-05 13:41:29.622 [New I/O worker #3] Creating pipe \\.\pipe\mencoder1375702889621
DEBUG 2013-08-05 13:41:29.629 [Thread-52] Waiting for pipe connection \\.\pipe\mencoder1375702889621
DEBUG 2013-08-05 13:41:29.681 [mencoder.exe-2] Starting "C:\Program Files\Universal Media Server\win32\mencoder.exe" "rtmp://nl1.tsboard.tv:1936/streams swfUrl=http://srv.tsboard.tv/tvbox1/kkkuiijxmso1pqr3v1v9z35D645G6L8KHMHOFGLTJOepcoepnonuoqrtsqu3s3u5444E223G6C8K9ABMgj.swf pageUrl=http://www.teamstream.to/showthread.php?9876 playpath=pappkamerad1hd swfVfy=true live=true" -msglevel all=2 -quiet -prefer-ipv4 -cache 16384 -oac lavc -of lavf -lavfopts format=dvd -ovc lavc -lavcopts vcodec=mpeg2video:vbitrate=4096:threads=2:acodec=ac3:abitrate=128 -vf harddup -ofps 25 -o \\.\pipe\mencoder1375702889621
DEBUG 2013-08-05 13:41:29.688 [mencoder.exe-2] Reading pipe: \\.\pipe\mencoder1375702889621
DEBUG 2013-08-05 13:41:29.799 [Thread-54] Using network protocols without global network initialization. Please use avformat_network_init(), this will become mandatory later.
DEBUG 2013-08-05 13:41:29.799 [Thread-54] Using network protocols without global network initialization. Please use avformat_network_init(), this will become mandatory later.
DEBUG 2013-08-05 13:41:29.840 [mencoder.exe-2] Attaching thread: mencoder.exe-2
DEBUG 2013-08-05 13:41:29.841 [Thread-57] MEncoder SB52 (C) 2000-2013 MPlayer Team
DEBUG 2013-08-05 13:41:29.841 [Thread-57] Custom build by SubJunk, http://www.spirton.com
DEBUG 2013-08-05 13:41:29.841 [Thread-57] 
DEBUG 2013-08-05 13:41:32.220 [Thread-54] [rtmp @ 01ac3600]Unknown connect error (unsupported authentication method?)
DEBUG 2013-08-05 13:41:32.220 [Thread-54] [rtmp @ 01ac3600]Server error: Connection failed.
DEBUG 2013-08-05 13:41:32.221 [Thread-54] Failed to open rtmp://nl1.tsboard.tv:1936/streams swfUrl=http://srv.tsboard.tv/tvbox1/kkkuiijxmso1pqr3v1v9z35D645G6L8KHMHOFGLTJOepcoepnonuoqrtsqu3s3u5444E223G6C8K9ABMgj.swf pageUrl=http://www.teamstream.to/showthread.php?9876 playpath=pappkamerad1hd swfVfy=true live=true.
DEBUG 2013-08-05 13:41:32.221 [Thread-54] Cannot open file/device.
INFO  2013-08-05 13:41:33.224 [mencoder.exe-2] Process C:\Program Files\Universal Media Server\win32\mencoder.exe has a return code of 1! Maybe an error occurred... check the log file
INFO  2013-08-05 13:41:35.803 [StartPlaying Event] Started playing Sky Bundesliga HD1 - Fußball: DFB-Pokal (noch 1369' | Fußball D) on your PlayStation 3
DEBUG 2013-08-05 13:41:35.804 [StartPlaying Event] The full filename of which is: rtmp://nl1.tsboard.tv:1936/streams swfUrl=http://srv.tsboard.tv/tvbox1/kkkuiijxmso1pqr3v1v9z35D645G6L8KHMHOFGLTJOepcoepnonuoqrtsqu3s3u5444E223G6C8K9ABMgj.swf pageUrl=http://www.teamstream.to/showthread.php?9876 playpath=pappkamerad1hd swfVfy=true live=true and the address of the renderer is: 192.168.178.20
INFO  2013-08-05 13:41:38.025 [PMS Listeners Stopper] jumpy: disabling @ player.
INFO  2013-08-05 13:41:38.027 [PMS Listeners Stopper] jumpy: disabling text player.
INFO  2013-08-05 13:41:38.030 [PMS Listeners Stopper] jumpy: disabling webreader player.
INFO  2013-08-05 13:41:38.062 [PMS Listeners Stopper] Configuration saved to: C:\ProgramData\UMS\UMS.conf
DEBUG 2013-08-05 13:41:38.064 [UPNP-AliveMessageSender] Sending ALIVE...
INFO  2013-08-05 13:41:38.064 [PMS Listeners Stopper] Sending BYEBYE...
DEBUG 2013-08-05 13:41:38.235 [PMS Listeners Stopper] Forcing shutdown of all active processes
INFO  2013-08-05 13:41:38.235 [PMS Listeners Stopper] Stopping server on host 192.168.178.29 and port 5001...
DEBUG 2013-08-05 13:41:38.306 [Buffered IO End Checker] Stopping process: mencoder.exe-2
someone got an idea how to solve this problem?

infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (17 May 2013)

Post by infidel » Thu Aug 08, 2013 3:48 am

xtjoeytx wrote:First I attempt to play a few streams, and I get the socket error 10013
Windows 8
Java x64
I wasn't able to reproduce this in win7, but the error originates from py4j's python side (which has had previous issues in Windows). Try jumpy-0.2.8 (see below) which uses the latest py4j (0.8) and see if the error persists.

infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (7 August 2013)

Post by infidel » Thu Aug 08, 2013 3:49 am

EDIT: mispost.
Last edited by infidel on Thu Aug 08, 2013 3:52 am, edited 2 times in total.

infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (17 May 2013)

Post by infidel » Thu Aug 08, 2013 3:50 am

Casper wrote:You can easily get around geoblock by simply changing your DNS to tunlr's. http://tunlr.net/get-started/
Thanks, very useful (when it's working and not offline, that is :)).
Casper wrote:I discovered the iView 1.3.1 error only occurs after playing a video with iPlayer 2.4.18,
That was the key! jumpy was ordering the system path incorrectly so iView imported iPlayer's 'util' module instead of its own. I think the update below brings both addons to par with xbmc in terms of function/disfunction.
Casper wrote:There is a non-critical error when Jumpy is first started:

Code: Select all

    TypeError: pms_run() takes exactly 1 argument (2 given)
Oops, forgot to include the corresponding lib/jumpy.py in the update.

infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (17 May 2013)

Post by infidel » Thu Aug 08, 2013 3:52 am

Casper wrote:The Navi-X 0.3.6 plugin (video addon) appears to work fine in XBMC and Jumpy. You don't need the Navi-X script (program addon) installed
S7eele wrote:I am wondering if I could leave the updated script add-ons and just keep the old version 3.7.6 video add-on
@S7eele: afaict this should work, I just tried the addon (0.3.6 addon co-installed with separate Navi-X script 3.7.8) and didn't experience the issues you had, i.e. the addon worked the same in jumpy and xbmc to the extent I tested it.

Post Reply